Skip to content

Execute Action

POST https://www.kkiai.com/mj/submit/action

Official documentation: https://docs.midjourney.com/hc/en-us/articles/32804058614669-Upscalers

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Header Parameters

ParameterTypeRequiredDescriptionExample
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

ParameterTypeRequiredDescription
chooseSameChannelbooleanRequiredWhether to select accounts under the same channel. By default, only the account associated with the task is used.
customIdstringOptional
taskIdstringOptional
notifyHookstringOptionalCallback URL. Uses global notifyHook when empty.
statestringOptional

Request Example

json
{
  "chooseSameChannel": true,
  "customId": "MJ::JOB::upsample::2::3dbbd469-36af-4a0f-8f02-df6c579e7011",
  "taskId": "14001934816969359",
  "notifyHook": "",
  "state": ""
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/mj/submit/action' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "chooseSameChannel": true,
  "customId": "MJ::JOB::upsample::2::3dbbd469-36af-4a0f-8f02-df6c579e7011",
  "taskId": "14001934816969359",
  "notifyHook": "",
  "state": ""
}'

Response

🟢200 Create image

Response Body

ParameterTypeRequiredDescription
createdintegerRequired
dataarray[object]Required
  └ urlstringRequired

Response Example

json
{
    "created": 1589478378,
    "data": [
        {
            "url": "https://..."
        },
        {
            "url": "https://..."
        }
    ]
}